<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscDataTypeToMPIDataType</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscDataTypeToMPIDataType"><H1>PetscDataTypeToMPIDataType</H1></A>
Converts the PETSc name of a datatype to its MPI name. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"    
PetscErrorCode PETSC_DLLEXPORT PetscDataTypeToMPIDataType(PetscDataType ptype,MPI_Datatype* mtype)
</PRE>
Not collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B>ptype </B> -the PETSc datatype name (for example PETSC_DOUBLE)
<br>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>mtype </B> -the MPI datatype (for example MPI_DOUBLE, ...)
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscDataType.html#PetscDataType">PetscDataType</A>
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/objects/ptype.c.html#PetscDataTypeToMPIDataType">src/sys/objects/ptype.c</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
